Subject: Re: Treason uncloaked / Broken peer again

From: Greg Lindahl <[email-masked]>
Date: Wed, 25 Feb 2009 22:30:45 -0800

> > A recent set of fiddling to our web crawler has resulted in crawled
> > Linux hosts frequently getting "Treason uncloaked" messages in their
> > dmesg. This has resulted in a modest amount of hate mail, surprisingly
> > little given that we crawl millions of hosts per day.

I'm continuing to get hate mail from all over the planet. Can anyone
recommend a webpage which I could point to that explains how harmless
this message can be? Google returns lots of scary warnings. I would
write one myself but the complainers are already dubious of me.

It seems that most complainers are running < 2.6.14, which had a
header prediction bug.

-- greg